# Overview

## Features

### Command-Line Interface

`jrnl` is a simple but powerful plain text journal application for the command
line. Everything happens on the command line.

### Text-Based

`jrnl` stores your journals as human-readable, future-proof plain text files.
You can store them wherever you want, including in shared folders to keep them
synchronized between devices. And because journal files are stored as plain
text, you can rest assured that your journals will be readable for centuries.

### Support for Multiple Journals
  
`jrnl` allows you to work with multiple journals, each of which is stored as a
single file using date and time tags to identify individual entries. `jrnl`
makes it easy to find the entries you want, and only the ones you want, so that
you can read them or edit them.

### Support for External Editors

`jrnl` allows you to search for specific entries and edit them in your favorite
text editor.

### Encryption
  
`jrnl` includes support for [256-bit AES
encryption](http://en.wikipedia.org/wiki/Advanced_Encryption_Standard) using
[cryptography.io](https://cryptography.io).

### Multi-Platform Support

`jrnl` is compatible with most operating systems. Pre-compiled binaries are available through several distribution channels, and you can build from source. See the installation page for more information.

### Open-Source

`jrnl` is written in [Python](https://www.python.org) and maintained by a [friendly community](https://github.com/jrnl-org/jrnl) of open-source software enthusiasts.
